couchdb-couchapp mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jan Lehnardt <...@apache.org>
Subject Re: Call for "Must-fix" issues
Date Thu, 05 Jul 2018 08:53:51 GMT


> On 5. Jul 2018, at 10:20, ermouth <ermouth@gmail.com> wrote:
> 
> Proxy authorization which is also in docs, but absent in 2.x.

it is not absent, just not exposed by default. You can configure to enable it (it’s just
not documented ;)

> Single-node install without shards.

Both the /_setup_cluster endpoint and the Mac binaries already set q=1 & n = 1 on setup.
Everyone else can configure it.

Best
Jan
—

> 
> ermouth
> 
> 2018-07-05 10:10 GMT+03:00 Johs Ensby <johs@b2w.com>:
> 
>> This thread reach out to CouchDB 1.x users to generate a list of
>> "must-fix" issues that is preventing users to upgrade to the latest
>> version of CouchDB.
>> 
>> It is in response to Joan's comment below regarding the
>> non-technical proposal to make a project decision to terminate
>> official Apache support for CouchDB 1.x.
>> 
>>> On 5 Jul 2018, at 06:31, Joan Touzet <wohali@apache.org> wrote:
>>> 
>>> As for things in 2.x that are "must fix" before people can upgrade, I
>>> too would like to see pull requests for those. Once again, your help is
>>> most welcome in this - both in identifying a definitive list of those
>>> must-fix issues, as well as code towards fixing them. If you'd like
>>> to help with this important work, please start a new thread.
>> 
>> 
>> 
>> Mine is CouchDB as a proxy.
>> The feature described here is not working in 2.1.1
>> http://docs.couchdb.org/en/2.1.1/config/proxying.html?highlight=_proxy
>> 
>> Johs
>> 

-- 
Professional Support for Apache CouchDB:
https://neighbourhood.ie/couchdb-support/


Mime
View raw message